## LassoIdWsf2Sb2EndpointUpdate LassoIdWsf2Sb2EndpointUpdate — <sb2:EndpointUpdate> |

## Functions

LassoIdWsf2Sb2EndpointUpdate * | lasso_idwsf2_sb2_endpoint_update_new ()

## Types and Values

struct | LassoIdWsf2Sb2EndpointUpdate

## Description

Figure 234. Schema fragment for sb2:EndpointUpdate

    <xs:complexType name="EndpointUpdateType">
      <xs:complexContent>
        <xs:extension base="wsa:EndpointReferenceType">
          <xs:attribute name="updateType" type="xs:anyURI" use="optional"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_sb2_endpoint_update_new ()

    LassoIdWsf2Sb2EndpointUpdate *
    lasso_idwsf2_sb2_endpoint_update_new (void);

Creates a new LassoIdWsf2Sb2EndpointUpdate object.

#### Returns

a newly created LassoIdWsf2Sb2EndpointUpdate object

## Types and Values

### struct LassoIdWsf2Sb2EndpointUpdate

    struct LassoIdWsf2Sb2EndpointUpdate {
    	LassoWsAddrEndpointReference parent;

    	/* attributes */
    	char *updateType;
    };